Subject: [netmod] Fwd: [OPS-DIR] OPS-DIR review of draft-ietf-netmod-opstate-reqs-04

From: Benoit Claise <[email-masked]>
Date: Thu, 18 Feb 2016 17:15:58 +0100

Tom, Kent, WG,

Can you please engage with Al.
Here is his OPS DIR review.

Regards, Benoit

-------- Forwarded Message --------
Subject: 	[OPS-DIR] OPS-DIR review of draft-ietf-netmod-opstate-reqs-04
Date: 	Wed, 3 Feb 2016 16:18:28 -0500
From: 	MORTON, ALFRED C (AL) <[email-masked]>
To: 	[email-masked] 
<[email-masked]>, [email-masked] 
<[email-masked]>, [email-masked] <[email-masked]>
CC: 	[email-masked] <[email-masked]>

sorry, there was a stray character in [email-masked]''
all of us are on OPS-DIR list (not trying to straighten this out again).

(resending because the HTML-ized version "Email to authors link"
still uses @tools.ietf.org = bounce)

'Hi Kent and Tom, and ops-dir,

It's time for your OPS-DIR review and I'm "it".
As Warren always says, "Be not afraid...".

I fully support the purpose of your draft. These are
important concepts to define unambiguously and
some useful requirements to see implemented.
I'll make a few suggestions for clarification below,
and I trust you'll develop acceptable wording
where I haven't fully understood your intentions.

I'm not aware of any IPR associated with the points
I seek to clarify.

regards,
Al
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

Section 2

    Asynchronous Configuration Operation:  A configuration request to
        update the running configuration of a server that is applied
        asynchronously with respect to the client request.

"running configuration" is used in this definition, and again in
Synchronous Configuration Operation without being defined.
Is this a subset of the "Operational State" ?

Section 3  Requirements

"   1.  Ability to interact with both intended and applied configuration"

What entity is this requirement for?  Is it:
     1. The Client MUST possess the ability to interact with both...
or BOTH Client and Server?

Later in Section 3

"   3.  Separation of the applied configuration and derived state aspects
        of operational state; ability to retrieve them independently and
        together

        A.  Be able to retrieve only the applied configuration aspects of
            operational state

        B.  Be able to retrieve only the derived state aspects of
            operational state

        C.  Be able to retrieve both the applied configuration and
            derived state aspects of operational state together"

This seems to be a set of requirements for BOTH the Client and the Server,
worded from the Point-of-view of the Client ("retrieve").
Can you add the Client and Server here, using RFC 2119 terms?

suggest:
      The Client MUST:
        A.  Be able to retrieve only the applied configuration aspects of...

Later in Section 3

"   4.  Ability to relate configuration with its corresponding
        operational state
       A. ... "

These are Server requirements? One or both the entities gets MUST or SHOULD...
(These requirements (4) were not completely clear to me.)

_______________________________________________
OPS-DIR mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ops-dir
.